iscsi_node_portal_get(3)

NAME
iscsi_node_portal_get - Retrieve connection portal of specified iSCSI node.

SYNOPSIS
const char * iscsi_node_portal_get (struct iscsi_node *node);

ARGUMENTS

node
    Pointer of 'struct iscsi_node'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the iscsi connection target portal of specified iSCSI node. Just a combination of iscsi_node_conn_address_get and iscsi_node_conn_port_get.

EXAMPLES
"192.168.1.1:3260" and "[::1]:3260"

RETURN
const char *. No need to free this memory, the resources will get freed by iscsi_node_free or iscsi_nodes_free.